# Filing Assist Locations Quantity API

The Filing Assist Locations Quantity REST Web Service retrieves the total quantity of authorities that will need Payroll registrations for the provided locations.AuthorizationAn api key provided by Business Licenses, LLC is required for authorization.The api key must be added to the headers of the request as the bearer token:Authorization: Bearer &lt;api key&gt;Response CodesSuccessful requests will return a 200 HTTP response code. If the request fails, the HTTP response code will be 403, 404 or 500.

Source: https://developer.avalara.com/products/registration-and-licensing/api/

**Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com

---

## Endpoints

### Locations Quantity

#### This endpoint returns the quantity of authorities and a list of authorities for a set of locations.

`GET /filingassist/api/locations/quantity`

Get the quantity of authorities for Payroll registrations for the specified locations.

**Parameters:**

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | Specifies the API version to use for the request. |
| `key` | string | query | Yes | API key provided by Avalara used to authenticate the request. |
| `X-Avalara-Client` | string | header | No | Identifies the software used to call this API. See client header documentation for more information. |
| `X-Correlation-ID` | string | header | No | Supports request correlation across requests and responses. Include this header in all requests. |
| `locations[0][address]` | string | query | Yes | Street address of the location. |
| `locations[0][address2]` | string | query | No | Second line of the street address for the location. |
| `locations[0][city]` | string | query | Yes | City of the location. |
| `locations[0][state]` | string | query | Yes | State of the location. |
| `locations[0][zip]` | string | query | Yes | ZIP code of the location. |
| `locations[0][plus4]` | string | query | No | ZIP+4 code of the location. |
| `locations[0][country]` | string | query | Yes | Country of the location as a 2-character abbreviation. |
| `locations[0][exclude_state_registration]` | integer | query | No | Indicates whether to exclude state-level registration (0 = No, 1 = Yes). |
